Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.marshal
Interface PreferredStreamMarshaller

All Superinterfaces:
  Marshaller, java.io.Serializable, SerialMarshaller

All Known Implementing Classes:
  CompressingMarshaller, EncryptingMarshaller, HTTPMarshaller, SerializableMarshaller

    public interface PreferredStreamMarshaller

extends SerialMarshaller

A PreferedStreamMarshaller can create from a raw OutputStream the particular OutputStream it prefers to use.

Version:
  $Revision: 2320 $

  Copyright (c) Jan 26, 2007

Author:
  Ron Sigal

Method Summary
`java.io.OutputStream` | `getMarshallingStream(java.io.OutputStream outputStream)` An application that calls getMarshallingStream() should provide a basic OutputStream, e.g., SocketOutputStream, which can be wrapped to provide the facilities desired by the PreferredStreamMarshaller.
`java.io.OutputStream` | `getMarshallingStream(java.io.OutputStream outputStream, java.util.Map config)` An application that calls getMarshallingStream() should provide a basic OutputStream, e.g., SocketOutputStream, which can be wrapped to provide the facilities desired by the PreferredStreamMarshaller.

Methods inherited from interface org.jboss.remoting.marshal.SerialMarshaller
`getSerializationType, setSerializationType`

Methods inherited from interface org.jboss.remoting.marshal.Marshaller
`cloneMarshaller, write`

Method Detail

### getMarshallingStream

    java.io.OutputStream getMarshallingStream(java.io.OutputStream outputStream)
                                              throws java.io.IOException

  An application that calls getMarshallingStream() should provide a basic OutputStream, e.g., SocketOutputStream, which can be wrapped to provide the facilities desired by the PreferredStreamMarshaller.

  Parameters:
    `outputStream` - a raw OutputStream
  Returns:
    the OutputStream to be used for marshalling
  Throws:
    `java.io.IOException` - if it unable to create OutputStream

### getMarshallingStream

    java.io.OutputStream getMarshallingStream(java.io.OutputStream outputStream,
                                              java.util.Map config)
                                              throws java.io.IOException

  An application that calls getMarshallingStream() should provide a basic OutputStream, e.g., SocketOutputStream, which can be wrapped to provide the facilities desired by the PreferredStreamMarshaller.

  Parameters:
    `outputStream` - a raw OutputStream
    `config` - a Map with configuration information (e.g., serialization type)
  Returns:
    the OutputStream to be used for marshalling
  Throws:
    `java.io.IOException` - if it unable to create OutputStream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.